#
# Conditional build:
%bcond_with	tests	# test target [Pipfile file missing as of 2.19.1]
%bcond_without	python2	# CPython 2.x module
%bcond_without	python3	# CPython 3.x module

%define		urllib3_ver	1.21.1
%define		module		requests
%define		egg_name	requests
Summary:	HTTP library for Python 2
Summary(pl.UTF-8):	Biblioteka HTTP dla Pythona 2
Name:		python-%{module}
Version:	2.26.0
Release:	2
License:	Apache v2.0
Group:		Development/Languages/Python
#Source0Download: https://pypi.org/simple/requests/
Source0:	https://files.pythonhosted.org/packages/source/r/requests/%{module}-%{version}.tar.gz
# Source0-md5:	8c745949ad3e9ae83d9927fed213db8a
Patch0:		system-cert.patch
URL:		http://python-requests.org/
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.713
%if %{with python2}
BuildRequires:	python-modules >= 1:2.7
BuildRequires:	python-setuptools
%if %{with tests}
BuildRequires:	python-PySocks >= 1.5.8
BuildRequires:	python-certifi >= 2017.4.17
BuildRequires:	python-chardet >= 3.0.2
BuildRequires:	python-chardet < 4
# idna 3 not supported for python2
BuildRequires:	python-idna >= 2.5
BuildRequires:	python-idna < 3
BuildRequires:	python-pytest >= 3
BuildRequires:	python-pytest-cov
BuildRequires:	python-pytest-httpbin >= 0.0.7
BuildRequires:	python-pytest-mock
BuildRequires:	python-pytest-xdist
BuildRequires:	python-urllib3 >= %{urllib3_ver}
BuildRequires:	python-urllib3 < 1.26
%endif
%endif
%if %{with python3}
BuildRequires:	python3-modules >= 1:3.6
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-PySocks >= 1.5.8
BuildRequires:	python3-certifi >= 2017.4.17
BuildRequires:	python3-chardet >= 3.0.2
BuildRequires:	python3-chardet < 4
BuildRequires:	python3-idna >= 2.5
BuildRequires:	python3-idna
BuildRequires:	python3-pytest >= 3
BuildRequires:	python3-pytest-cov
BuildRequires:	python3-pytest-httpbin >= 0.0.7
BuildRequires:	python3-pytest-mock
BuildRequires:	python3-pytest-xdist
BuildRequires:	python3-urllib3 >= %{urllib3_ver}
BuildRequires:	python3-urllib3 < 1.26
%endif
%endif
Suggests:	ca-certificates
# for python2 only to get SNI working. python3 doesn't need this
Requires:	python-cryptography >= 1.3.4
Requires:	python-pyOpenSSL >= 0.14
Requires:	python-urllib3 >= 1.22-2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Requests is a HTTP library, written in Python, for human beings.

Most existing Python modules for sending HTTP requests are extremely
verbose and cumbersome. Python's builtin urllib2 module provides most
of the HTTP capabilities you should need, but the API is thoroughly
broken. It requires an enormous amount of work (even method overrides)
to perform the simplest of tasks. Things shouldn't be this way. Not in
Python.

This package contains Python 2.x module.

%description -l pl.UTF-8
Requests to napisana w Pythonie biblioteka HTTP dla ludzi.

Większość istniejących modułów Pythona do wysyłania żądań HTTP jest
zbyt gadatliwa i nieporęczna. Wbudowany w Pythona moduł urllib2
zapewnia większość wymaganych możliwości HTTP, ale API jest kiepskie -
wymaga dużych nakładów pracy (nawet nadpisań metod) do wykonania
najprostszych zadań. Nie powinno tak być. Nie w Pythonie.

Ten pakiet zawiera moduł dla Pythona 2.x.

%package -n python3-requests
Summary:	HTTP library for Python 3
Summary(pl.UTF-8):	Biblioteka HTTP dla Pythona 3
Group:		Development/Languages/Python
Requires:	python3-modules >= 1:3.6
Requires:	python3-charset_normalizer >= 2
# for https
Requires:	python3-cryptography >= 1.3.4
Requires:	python3-idna >= 2.5
Requires:	python3-pyOpenSSL >= 0.14
Requires:	python3-urllib3 >= 1.22-2
Suggests:	ca-certificates

%description -n python3-requests
Requests is a HTTP library, written in Python, for human beings.

Most existing Python modules for sending HTTP requests are extremely
verbose and cumbersome. Python's builtin urllib2 module provides most
of the HTTP capabilities you should need, but the api is thoroughly
broken. It requires an enormous amount of work (even method overrides)
to perform the simplest of tasks. Things shouldn't be this way. Not in
Python.

This package contains Python 3.x module.

%description -n python3-requests -l pl.UTF-8
Requests to napisana w Pythonie biblioteka HTTP dla ludzi.

Większość istniejących modułów Pythona do wysyłania żądań HTTP jest
zbyt gadatliwa i nieporęczna. Wbudowany w Pythona moduł urllib2
zapewnia większość wymaganych możliwości HTTP, ale API jest kiepskie -
wymaga dużych nakładów pracy (nawet nadpisań metod) do wykonania
najprostszych zadań. Nie powinno tak być. Nie w Pythonie.

Ten pakiet zawiera moduł dla Pythona 3.x.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1

%build
%if %{with python2}
%py_build %{?with_tests:test}
%endif

%if %{with python3}
%py3_build %{?with_tests:test}
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install
%py_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_comp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc HISTORY.md README.md
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{egg_name}-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-requests
%defattr(644,root,root,755)
%doc HISTORY.md README.md
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{egg_name}-%{version}-py*.egg-info
%endif
%changelog
* Mon Nov 08 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-requests.git;a=log;h=master

* Mon Nov 08 2021 Jan Palus <atler@pld-linux.org> 24e1d82
- help poldek install python3-requests automatically; rel 2

* Fri Oct 15 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> a5ef80c
- Up to 2.26.0

* Mon Mar 15 2021 Jan Rękorajski <baggins@pld-linux.org> 934cc89
- up to 2.25.1

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> fcea679
- release 2 (by relup.sh)

* Wed Feb 26 2020 Jakub Bogusz <qboosh@pld-linux.org> 0ecc0c8
- updated chardet, idna, pytest dependencies

* Wed Feb 26 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> 6f649ff
- up to 2.23.0

* Sat Nov 09 2019 Marcin Krol <hawk@tld-linux.org> 94e161a
- release 3

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 7f25bad
- rebuild with python 3.8
- release 2 (by relup.sh)

* Thu Oct 03 2019 Jakub Bogusz <qboosh@pld-linux.org> 0cad2f1
- updated to 2.22.0; allows idna 2.8 and urllib 1.25 >=1.25.3

* Mon Feb 11 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> ff7234e
- up to 2.21.0

* Sun Dec 02 2018 Jakub Bogusz <qboosh@pld-linux.org> 9cf3c36
- release 2 (to allow urllib3 1.24)

* Sun Dec 02 2018 Jakub Bogusz <qboosh@pld-linux.org> d04d981
- updated dependencies

* Thu Nov 22 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 6191377
- up to 2.20.1

* Thu Nov 08 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 283f39f
- up to 2.20.0

* Sat Jul 21 2018 Jakub Bogusz <qboosh@pld-linux.org> 44a3907
- updated to 2.19.1

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> cd463a9
- release 2 (by relup.sh)

* Tue Feb 27 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 563b81b
- up to 2.18.4

* Sun Aug 06 2017 Elan Ruusamäe <glen@delfi.ee> 616851f
- BR python3-setuptools

* Sat Aug 05 2017 Elan Ruusamäe <glen@pld-linux.org> ecc6675
- require fixed urllib3

* Sat Aug 05 2017 Elan Ruusamäe <glen@pld-linux.org> e01cc28
- drop autogenerated deps

